Skip to main content
GET
/
users
/
{user_identifier}
/
members
/
{member_identifier}
/
oauth_window_uri
Request oauth window uri
curl --request GET \
  --url https://int-api.mx.com/users/{user_identifier}/members/{member_identifier}/oauth_window_uri \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
{
  "member": {
    "guid": "MBR-df96fd60-7122-4464-b3c2-ff11d8c74f6f",
    "oauth_window_uri": "https://mxbank.mx.com/oauth/authorize?client_id=b8OikQ4Ep3NuSUrQ13DdvFuwpNx-qqoAsJDVAQCyLkQ&redirect_uri=https%3A%2F%2Fint-app.moneydesktop.com%2Foauth%2Fredirect_from&response_type=code&scope=openid&state=d745bd4ee6f0f9c184757f574bcc2df2"
  }
}
This endpoint will generate an oauth_window_uri for the specified member.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

member_identifier
string
required

Use either the member id you defined or the MX-defined member guid. See MX-Defined GUIDs vs IDs Defined by You.

user_identifier
string
required

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Query Parameters

client_redirect_url
string

A URL that MX will redirect to at the end of OAuth with additional query parameters. Only available with referral_source=APP.

enable_app2app
string

This indicates whether OAuth app2app behavior is enabled for institutions that support it. Defaults to true. When set to false, any oauth_window_uri generated will not direct the end user to the institution's mobile application. This setting is not persistent. This setting currently only affects Chase institutions.

referral_source
string

Must be either BROWSER or APP depending on the implementation. Defaults to BROWSER.

skip_aggregation
boolean

Setting this parameter to true will prevent the member from automatically aggregating after being redirected from the authorization page.

ui_message_webview_url_scheme
string

A scheme for routing the user back to the application state they were previously in. Only available with referral_source=APP.

Response

200 - application/json

OK

member
object